<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 商品情報新規登録
 *
 * @package     Admin.Itemmanage.Item.Form
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Itemmanage_Item_Form
{
    var $view;
    var $genreview;
    var $itemupdate;

    var $title;
    var $pagename;


    //基本情報
    var $itemnm;
    var $itemnmkana;
    var $maker_capi;
    var $makercd;
    var $labelcd;
    var $seriescd;
    var $iteminfo;
    var $genre;
    var $comment;
    var $itemdivcd;
    var $eirinrating;
    var $examgroupcd;
    var $examno;
    var $releasedate;
    var $rankingrate;

    //構成情報
    var $jancd;
    var $isbncd;
    var $makeritemcd;
    var $salestartdate;
    var $makerprice;
    var $orderclosedate;
    var $saleformcd;
    var $rectime;
    var $mediacd;
    var $struct_comment;
    var $variationnm;
    
    // ダウンロード販売フラグ
    var $download;
    
    var $cd;
    var $error;

    var $itemexp;

    var $basic_option01;
    var $basic_option02;
    var $basic_option03;
    var $basic_option04;
    var $basic_option05;
    var $basic_option06;
    var $basic_option07;
    var $basic_option08;
    var $basic_option09;
    var $basic_option10;

    var $struct_option01;
    var $struct_option02;
    var $struct_option03;
    var $struct_option04;
    var $struct_option05;
    var $struct_option06;
    var $struct_option07;
    var $struct_option08;
    var $struct_option09;
    var $struct_option10;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Item_Formが実行されました", "Admin_Itemmanage_Item_Form#execute");

        return 'success';
    }

    function setBasicOption() {
        return $this->itemupdate->getOptionList(100,200);
    }
    function setStructOption() {
        return $this->itemupdate->getOptionList(200,300);
    }

    function getGenreCheckbox()
    {
        $genre["l"] = $this->view->getGenreTreeAll();
        $genre["s"] = $this->view->getGenrecdForItemcd($this->result["itemcd"]);
        return $genre;
    }

}
?>
